strncasecmp(3)

NAME
strncasecmp - nonstrings case-insensitive compare

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <strings.h>  // see memory.h(3head)

int strncasecmp(const char s1[], const char s2[], size_t n);

DESCRIPTION
The strncasecmp() function is similar to strcasecmp(3), except that it compares no more than n bytes of s1 and s2.

RETURN VALUE
The strncasecmp() function returns an integer less than, equal to, or greater than zero if s1 is, after ignoring case, found to be less than, to match, or be greater than s2, respectively.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe locale

STANDARDS
POSIX.1-2008.

HISTORY
4.4BSD, POSIX.1-2001.

strncasecmp() first appeared in 4.4BSD, where it was declared in <string.h>. Thus, for reasons of historical compatibility, the glibc <string.h> header file also declares these functions, if the _DEFAULT_SOURCE (or, in glibc 2.19 and earlier, _BSD_SOURCE) feature test macro is defined.

The POSIX.1-2008 standard says of these functions:

    When the LC_CTYPE category of the locale being used is from the POSIX locale, these functions shall behave as if the strings had been converted to lowercase and then a byte comparison performed. Otherwise, the results are unspecified.

SEE ALSO
memory.h(3head), strncmp(3), wcsncasecmp(3)